# Uses of Enum Class
org.snpeff.genBank.Feature.Type

Packages that use Feature.Type
Package
Description
org.snpeff.genBank

## Uses of Feature.Type in org.snpeff.genBank

Methods in org.snpeff.genBank that return Feature.Type
Modifier and Type
Method
Description
`Feature.Type`
Feature.`getType()`
`static Feature.Type`
Feature.Type.`parse(String typeStr)`
Parse a string into a Feature.Type
`static Feature.Type`
Feature.Type.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static Feature.Type[]`
Feature.Type.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Constructors in org.snpeff.genBank with parameters of type Feature.Type
Modifier
Constructor
Description
``
`Feature(Feature.Type type, String def)`
``
`Feature(Feature.Type type, String def, int start, int end, boolean complement, int lineNum)`